<script setup>
const localePath = useLocalePath();
</script>

<template>
  <footer class="bg-white dark:bg-las-d-prune dark:text-white">
    <div class="container mx-auto px-4 py-8">
      <div class="flex justify-between flex-col lg:flex-row">
        <div class="flex-1 text-center lg:text-left mb-14 lg:mb-0">
          <label
            for="newsletter"
            class="text-las-green font-bold mb-2 dark:text-las-d-green"
          >
            {{ $t('layouts.footer.newsletter.label') }}
          </label>

          <form
            class="flex relative max-w-[250px] mx-auto lg:mx-0"
            @submit.prevent="() => {}"
          >
            <input
              id="newsletter"
              clas="pl-2 pr-20 border border-gray-300 w-full h-[35px] rounded"
              :class="[
                'w-full',
                'h-9',
                'px-2',
                'rounded-md',
                'shadow-lg',
                'border',
                'outline-none',
                'focus:ring',
                'dark:bg-las-d-brown',
              ]"
              type="email"
              :placeholder="$t('layouts.footer.newsletter.placeholder')"
            />

            <button
              type="submit"
              :class="[
                'absolute',
                'inset-y-1',
                'right-1',
                'p-1',
                'bg-las-green',
                'text-white',
                'text-sm',
                'leading-none',
                'font-bold',
                'rounded',
                'dark:bg-las-d-green',
              ]"
            >
              {{ $t('layouts.footer.newsletter.submit') }}
            </button>
          </form>
        </div>

        <div class="mb-8 lg:mb-0 text-center">
          <NuxtLink class="inline-block mx-auto" :to="localePath('/')">
            <img
              src="/images/logo.svg"
              alt="L'Autre Scène"
              width="240px"
              class="hidden lg:block"
            />

            <img
              src="/images/logo.svg"
              alt="L'Autre Scène"
              width="150px"
              class="lg:hidden"
            />
          </NuxtLink>
        </div>

        <div class="flex-1 flex">
          <div class="flex mr-auto ml-auto lg:mr-0">
            <a
              href="https://www.linkedin.com/company/l-autre-scene"
              target="_blank"
              class="hover:opacity-75"
            >
              <img src="/images/linkedin.svg" alt="Linkedin" />
            </a>

            <a
              href="https://www.instagram.com/lautre.scene.annecy/"
              target="_blank"
              class="mx-4 hover:opacity-75"
            >
              <img src="/images/instagram.svg" alt="Instagram" />
            </a>

            <a
              href="https://www.facebook.com/LAutre.Scene.Annecy/"
              target="_blank"
              class="hover:opacity-75"
            >
              <img src="/images/facebook.svg" alt="Facebook" />
            </a>
          </div>
        </div>
      </div>

      <div class="my-14 text-center font-semibold">
        <div>
          <a
            :href="`tel:${$t('layouts.footer.contact.tel')}`"
            class="hover:underline"
          >
            {{ $t('layouts.footer.contact.tel') }}
          </a>
        </div>

        <div>
          <a
            :href="`mailto:${$t('layouts.footer.contact.mail')}`"
            class="hover:underline"
          >
            {{ $t('layouts.footer.contact.mail') }}
          </a>
        </div>

        <div>
          {{ $t('layouts.footer.contact.address') }}
        </div>
      </div>

      <div class="flex flex-col lg:flex-row text-center">
        <div class="lg:ml-auto">
          <a href="#" class="hover:underline">
            {{ $t('layouts.footer.links.legal_mentions') }}
          </a>
        </div>

        <span class="hidden lg:block mx-6">|</span>

        <div>
          <a href="#" class="hover:underline">
            {{ $t('layouts.footer.links.privacy') }}
          </a>
        </div>

        <span class="hidden lg:block mx-6">|</span>

        <div class="lg:mr-auto">
          <a href="#" class="hover:underline">
            {{ $t('layouts.footer.links.cookies') }}
          </a>
        </div>
      </div>
    </div>
  </footer>
</template>
